﻿using System;
using System.ComponentModel;
using System.Threading;
using System.Windows;
using Microsoft.Phone.Controls;

namespace SplashScreenSample.View
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            var bgWorker = new BackgroundWorker();
            bgWorker.DoWork += (s, args) =>
            {
                // 時間のかかる初期化処理などを実施
                Thread.Sleep(TimeSpan.FromSeconds(5));
            };
            bgWorker.RunWorkerCompleted += (s, args) =>
            {
                // 上記の処理が完了したらMainContentを表示
                LayoutRoot.Children.Clear();
                LayoutRoot.Children.Add(new MainContent());
            };
            bgWorker.RunWorkerAsync();
        }
    }
}